.footer {
    border-top: 1px solid var(--border);
}

.copyright-container {
    display: flex;
    justify-content: space-between;
    align-items: center;
    width: 100%;
    flex-wrap: wrap;
    font-family: var(--font--heading--family);
    color: #1a1208;
    position: relative;
    padding: 1rem;
    border-top: 1px solid #1a1208;
}

.copyright-text {
    position: absolute;
    left: 50%;
    transform: translateX(-50%);
}

.social-icons {
    display: flex;
    gap: 10px;
    margin-left: auto;
    margin-right: 100px;
}

@media (max-width: 768px) {
    .copyright-container {
        display: flex;
        flex-direction: column;
        align-items: center;
        width: 100%;
        flex-wrap: wrap;
        font-family: var(--font--heading--family);
        color: #1a1208;
        position: relative;
        min-height: 80px;
        gap: 15px;
    }

    .copyright-text {
        position: static;
        transform: none;
        text-align: center;
        padding: 0 10px;
        order: 2;
        width: 100%;
    }

    .social-icons {
        display: flex;
        gap: 20px;
        margin-left: 0;
        margin-right: 0;
        order: 1;
        justify-content: center;
    }

    .social-icons img {
        width: 32px;
        height: auto;
    }
}
